Bug 1278142 - elf binaries in /usr/share
elf binaries in /usr/share
Status: CLOSED ERRATA
Product: Fedora
Classification: Fedora
Component: darktable (Show other bugs)
22
Unspecified Unspecified
unspecified Severity urgent
: ---
: ---
Assigned To: Edouard Bourguignon
Fedora Extras Quality Assurance
: Reopened
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2015-11-04 13:14 EST by Ralf Corsepius
Modified: 2015-12-17 03:53 EST (History)
2 users (show)

See Also:
Fixed In Version: darktable-1.6.9-6.fc23 darktable-1.6.9-6.fc22
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2015-12-17 03:53:10 EST
Type: Bug
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)

  None (edit)
Description Ralf Corsepius 2015-11-04 13:14:28 EST
Description of problem:

darktable contains arch-dependent files (Here binaries) in /usr/share.

# rpmlint darktable-1.6.8-3.fc23.x86_64.rpm | grep arch
darktable.x86_64: E: arch-dependent-file-in-usr-share /usr/share/darktable/tools/noise/noiseprofile
darktable.x86_64: E: arch-dependent-file-in-usr-share /usr/share/darktable/tools/noise/floatdump

Version-Release number of selected component (if applicable):
darktable-1.6.8-3.fc23

Additional info:
- bodhi warns about this issue, e.g. in
 https://bodhi.fedoraproject.org/updates/FEDORA-2015-1dc2921b53, but
 maintainer preferred to ignore this.
- elf binaries underneath of /usr/share are not allowed in fedora.
Comment 1 Fedora End Of Life 2015-12-02 10:50:34 EST
Fedora 21 changed to end-of-life (EOL) status on 2015-12-01. Fedora 21 is
no longer maintained, which means that it will not receive any further
security or bug fix updates. As a result we are closing this bug.

If you can reproduce this bug against a currently maintained version of
Fedora please feel free to reopen this bug against that version. If you
are unable to reopen this bug, please file a new report against the
current release. If you experience problems, please add a comment to this
bug.

Thank you for reporting this bug and we are sorry it could not be fixed.
Comment 2 Ralf Corsepius 2015-12-02 11:30:03 EST
Bug persists - I am inclined to believe the current maintainers of this package might be overwhelmed with this package and should consider to step down.
Comment 3 Fedora Update System 2015-12-02 13:34:27 EST
darktable-1.6.9-6.fc22 has been submitted as an update to Fedora 22. https://bodhi.fedoraproject.org/updates/FEDORA-2015-6a4e7a0ff2
Comment 4 Fedora Update System 2015-12-03 11:01:00 EST
darktable-1.6.9-6.fc22 has been pushed to the Fedora 22 testing repository. If problems still persist, please make note of it in this bug report.
If you want to test the update, you can install it with
$ su -c 'dnf --enablerepo=updates-testing update darktable'
You can provide feedback for this update here: https://bodhi.fedoraproject.org/updates/FEDORA-2015-6a4e7a0ff2
Comment 5 Fedora Update System 2015-12-03 20:35:47 EST
darktable-1.6.9-6.fc23 has been pushed to the Fedora 23 testing repository. If problems still persist, please make note of it in this bug report.
If you want to test the update, you can install it with
$ su -c 'dnf --enablerepo=updates-testing update darktable'
You can provide feedback for this update here: https://bodhi.fedoraproject.org/updates/FEDORA-2015-6c2b96a4ae
Comment 6 Fedora Update System 2015-12-08 08:48:42 EST
darktable-1.6.9-6.fc22 has been submitted as an update to Fedora 22. https://bodhi.fedoraproject.org/updates/FEDORA-2015-6a4e7a0ff2
Comment 7 Fedora Update System 2015-12-08 14:52:21 EST
darktable-1.6.9-6.fc23 has been pushed to the Fedora 23 stable repository. If problems still persist, please make note of it in this bug report.
Comment 8 Fedora Update System 2015-12-08 18:52:13 EST
darktable-1.6.9-6.fc22 has been pushed to the Fedora 22 testing repository. If problems still persist, please make note of it in this bug report.
If you want to test the update, you can install it with
$ su -c 'dnf --enablerepo=updates-testing update darktable'
You can provide feedback for this update here: https://bodhi.fedoraproject.org/updates/FEDORA-2015-6a4e7a0ff2
Comment 9 Fedora Update System 2015-12-17 03:53:07 EST
darktable-1.6.9-6.fc22 has been pushed to the Fedora 22 stable repository. If problems still persist, please make note of it in this bug report.

Note You need to log in before you can comment on or make changes to this bug.